set serveroutput on size 999999
declare
	service_ sys.utl_dbws.SERVICE;
	call_ sys.utl_dbws.CALL;
	service_qname sys.utl_dbws.QNAME;
	port_qname sys.utl_dbws.QNAME;
	operation_qname sys.utl_dbws.QNAME;
	string_type_qname sys.utl_dbws.QNAME;
	retx ANYDATA;
	retx_string VARCHAR2(100);
	retx_len number;
	params sys.utl_dbws.ANYDATA_LIST;
begin
	service_qname := sys.utl_dbws.to_qname('http://oracle.j2ee.ws/javacallout/Hello', 'HelloServiceEJB');
	service_ := sys.utl_dbws.create_service(HTTPURITYPE('http://dsunrde22:8888/javacallout/javacallout?WSDL'), service_qname);
	port_qname := sys.utl_dbws.to_qname('http://oracle.j2ee.ws/javacallout/Hello', 'HelloServiceInfPort');
	operation_qname := sys.utl_dbws.to_qname('http://oracle.j2ee.ws/javacallout/Hello', 'sayHello');
	call_ := sys.utl_dbws.create_call(service_, port_qname, operation_qname);
--	sys.utl_dbws.set_property(call_, 'SOAPACTION_USE', 'true');
--	sys.utl_dbws.set_property(call_, 'SOAPACTION_URI', '');
	sys.utl_dbws.set_property(call_, 'ENCODINGSTYLE_URI', 'http://schemas.xmlsoap.org/soap/encoding/');
	sys.utl_dbws.set_property(call_, 'OPERATION_STYLE', 'rpc');
	string_type_qname := sys.utl_dbws.to_qname('http://www.w3.org/2001/XMLSchema', 'string');
        sys.utl_dbws.add_parameter(call_, 'String_1', string_type_qname, 'ParameterMode.IN');
        sys.utl_dbws.set_return_type(call_, string_type_qname);
	params(0) := ANYDATA.convertvarchar('hello');
	retx := sys.utl_dbws.invoke(call_, params);
	retx_string := retx.accessvarchar2;
	dbms_output.put_line('PL/SQL DII client return ' || retx_string);
	sys.utl_dbws.release_service(service_);
end;
/
exit;
